> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leadx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Find Mobile Numbers



## OpenAPI

````yaml post /v1/mobile-numbers/find/bulk
openapi: 3.1.0
info:
  title: LeadX API
  version: 0.1.0
servers: []
security: []
tags:
  - name: All Attributes
    description: Aggregate and correlate data about companies and their associated records.
  - name: Better Business Bureau
    description: >-
      Retrieve Better Business Bureau (BBB) ratings and accreditation status for
      businesses.
  - name: Companies
    description: Enrich company data by URL, name, address, or phone.
  - name: Contacts
    description: Enrich data about contacts.
  - name: email
    description: Validate company email addresses.
  - name: Google Reviews
    description: Retrieve Google Reviews and ratings for businesses.
  - name: Mobile Number
    description: Enrich mobile phone numbers.
  - name: UCC
    description: Search across to the U.S. Uniform Commercial Code (UCC) lien filings.
paths:
  /v1/mobile-numbers/find/bulk:
    post:
      tags:
        - Mobile Number
      summary: Bulk Find Mobile Numbers
      operationId: bulk_find_mobile_numbers_v1_mobile_numbers_find_bulk_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_bulk_find_mobile_numbers_v1_mobile_numbers_find_bulk_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkMobileSubmitResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    Body_bulk_find_mobile_numbers_v1_mobile_numbers_find_bulk_post:
      properties:
        upload:
          type: string
          contentMediaType: application/octet-stream
          title: Upload
      type: object
      required:
        - upload
      title: Body_bulk_find_mobile_numbers_v1_mobile_numbers_find_bulk_post
    BulkMobileSubmitResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        id:
          type: string
          title: Id
          description: Bulk job id
      type: object
      required:
        - id
      title: BulkMobileSubmitResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````